import { http } from '@/service/request.js'
//sop列表
export const getSopList = (data) => http.post('/api/admin/sop/list', data, { custom: { loading: true } })
//流程详细信息接口
export const getSopFlowView = (params) => http.post('/api/admin/flow/view', {}, { params, custom: { loading: true } })
export const deviceCanOut = (params) => http.post('/api/admin/device/in/out/can_out_info', {}, { params })
export const deviceCanIn = () => http.post('/api/admin/device/in/out/can_in_info')
// sop填报-提交
export const sopApproveApi = (data) => http.post('/api/admin/sop/approve', data, { custom: { loading: true } })

// 项目计划变更 ------------------->
// 项目计划变更列表
export const planChangeList = (params) => http.post('/api/admin/project/exchange/list', {}, { params })
// 项目变更计划申请（第一步）
export const createPlanChange = (data) => http.post('/api/admin/project/exchange/save', data)
export const planChangeDetail = (id) => http.post('/api/admin/project/exchange/view', {}, { params: { id } })
// 项目变更计划审批
export const approvePlanChange = (params) => http.post('/api/admin/project/exchange/flow/approve', {}, { params })
// 延期预警 ------------------->
// 延期预警列表
export const getDelayWarnList = (data) => http.post('/api/admin/tb/delay/warn/query', {}, { params: data })
// 关闭单个延期预警
export const closeDelayWarn = (id) => http.post('/api/admin/tb/delay/warn/close?id=' + id)
// 重启延期预警
export const restartDelayWarn = (id) => http.post('/api/admin/tb/delay/warn/restart?id=' + id)
// 单个延期预警的详情
export const delayWarnDetail = (id) => http.get('/api/admin/tb/delay/warn/get?id=' + id)
// 延期预警明细表
export const delayWarnDetailList = (id) => http.post('/api/admin/tb/delay/warn/detail/list?id=' + id)
// 延期预警跟进提交
export const flowDelayWarn = (data) => http.post('/api/admin/tb/delay/warn/detail/save', data)

// 违规登记 ------------------->
// 违规登记列表
export const getViolationList = (data) => http.post('/api/admin/tb/violation/query', {}, { params: data })
export const saveViolation = (data) => http.post('/api/admin/tb/violation/save', data)
// 关闭单个违规登记
export const closeViolation = (id) => http.post('/api/admin/tb/violation/close?id=' + id)
// 重启违规登记
export const restartViolation = (id) => http.post('/api/admin/tb/violation/restart?id=' + id)
// 违规登记明细表
export const violationDetailList = (id) => http.post('/api/admin/tb/violation/detail/query?id=' + id)
// 违规登记跟进提交
export const flowViolation = (data) => http.post('/api/admin/tb/violation/detail/save', data)
